package cn.newfeifan.mall.module.distri.mq.message.order;

import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.List;

@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class OrderCalcMessage {


    List<OrderItemMessage> orderItemMessages;


    /**
     * 购买数量
     */
    private Integer productCount;

    /**
     * 用户名称
     */
    private String name;

    /**
     * 用户昵称
     */
    private String nickName;
    /**
     * 订单编号
     */
    private String no;

    /**
     * 下单用户Id
     */
    private Long userId;

    /**
     * 店铺ID
     */
    private Long shopId;

    /**
     * 商户ID
     */
    private Long merchantId;
    /**
     * 订单ID
     */
    private Long orderId;

}
