package cn.newfeifan.mall.module.trade.controller.admin.order.vo.detailvo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

@Schema(description = "管理后台 - 支付信息")
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class TradeOrderPayVo {



    @Schema(description = "总金额", example = "102")
    private Integer payPrice;

    @Schema(description = "支付状态", example = "未支付")
    private String payStatus;

    @Schema(description = "支付方式 支付渠道", example = "微信支付")
    private String payChannelCode;


    @Schema(description = "路径", example = "?")
    private String path;

    @Schema(description = "备注", example = "你好,用户备注")
    private String userRemark;

}
